import RenderComponent from "@/components/FormComponentRender/renderComponent";
import { ComponentsType } from "@/customForm/interfaces";
import { Button, Form } from "antd";
import FormSelect from "./components/formSelect";
import styles from "./applyForNodeSetting.module.css";

interface ApplyForNodeSettingProps {
  onUpdate: (value: any) => void;
  value: any;
}

const ApplyForNodeSetting = (props: ApplyForNodeSettingProps) => {
  const { onUpdate, value } = props;
  const FormConfig = [
    {
      label: "申请范围",
      componentType: "Checkbox",
      key: "scopeOfApplication",
      config: {
        options: [
          {
            label: "自然人",
            value: "自然人",
          },
          {
            label: "企业",
            value: "企业",
          },
          {
            label: "个体工商户",
            value: "个体工商户",
          },
        ],
      },
    },
    {
      label: "申请内容",
      //@ts-ignore
      component: <FormSelect />,
      key: "examineKeys",
    },
  ];
  const [form] = Form.useForm();

  const onFinish = (values: any) => {
    onUpdate(values);
  };
  return (
    <div className={styles.container}>
      <div className={styles.content}>
        <div className={styles.title}>设置申请范围</div>
        <Form
          form={form}
          colon={false}
          layout="vertical"
          initialValues={value}
          onFinish={onFinish}
        >
          {FormConfig.map((item) => {
            return (
              <Form.Item label={item.label} name={item.key}>
                {item.component ? (
                  item.component
                ) : (
                  <RenderComponent
                    config={item.config}
                    componentType={item.componentType as ComponentsType}
                  ></RenderComponent>
                )}
              </Form.Item>
            );
          })}
          <Form.Item>
            <Button type="primary" htmlType="submit">
              保存
            </Button>
          </Form.Item>
        </Form>
      </div>
    </div>
  );
};

export default ApplyForNodeSetting;
