import service from "@/service";
import useUserStore from "@/store/useUserStore";
import autofit from "autofit.js";
import { useEffect } from "react";
import { Navigate, Outlet } from "react-router-dom";

const Root = () => {
  autofit.init({
    dh: 1080,
    dw: 1920,
    el: "body",
    resize: true,
  });
  const { updateAdminInfo, adminInfo, updateUserInfo } = useUserStore();

  const adminToken = localStorage.getItem("admin_token");

  /** 获取用户信息 */
  useEffect(() => {
    if (!adminInfo && adminToken && location.pathname.includes("management")) {
      service.loginService.getUserInfo().then((res) => {
        if (res.code === 200) {
          updateAdminInfo(res.data);
        }
      });
    }
    const applyUserInfo = localStorage.getItem("applyUserInfo") as string;
    updateUserInfo(JSON.parse(applyUserInfo));
  }, []);

  return (
    <>
      {location.pathname === "/" && <Navigate replace to="/apply" />}
      <Outlet></Outlet>
    </>
  );
};

export default Root;
