import type { RespResult } from "./core/interface";
import request from "./core/request";

/**
 * 获取token
 * @param
 * @returns
 */
export function getToken(params: { username: string; password: string }) {
  return request.post<RespResult<API.UserInfo>>("/login/auth/oauth/token", {
    /** 去掉前缀 */
    prefix: "",
    params: {
      ...params,
      grant_type: "password",
      client_id: "cgtf",
      client_secret: "cgtf",
    },
  });
}

export function getUserInfo() {
  return request.post<RespResult<API.UserInfo>>("/hncy/others/queryUserInfo");
}

/** 用户注册  */
export function register(params: any) {
  return request.post("/client-user/register", {
    params,
  });
}

export function onLogin(params: any) {
  return request.post("/client-user/login", {
    params,
  });
}
