const a = {
  accountNonLocked: true,
  authorities: [
    {
      authority: "cgtf",
    },
    {
      authority: "cgtf/app",
    },
    {
      authority: "cgtf/app/disposer",
    },
    {
      authority: "cgtf/app/disposer/home",
    },
    {
      authority: "cgtf/app/disposer/home/history",
    },
    {
      authority: "cgtf/app/disposer/home/range",
    },
    {
      authority: "history",
    },
  ],
  roles: [
    {
      role: "CG24_APP_Disposer",
      roleName: "处置人员",
      permissions: [
        {
          name: "诚管24APP处置人员",
          permission: "CG24_APP_Disposer",
          resource: [
            {
              name: "历史处置",
              path: "cgtf/app/disposer/home/history",
              authCode: "history",
            },
            {
              name: "诚管24资源",
              path: "cgtf",
              authCode: "",
            },
            {
              name: "诚管24资源app-处置",
              path: "cgtf/app/disposer",
              authCode: "",
            },
            {
              name: "责任范围",
              path: "cgtf/app/disposer/home/range",
              authCode: "",
            },
            {
              name: "诚管24资源app",
              path: "cgtf/app",
              authCode: "",
            },
            {
              name: "处置首页",
              path: "cgtf/app/disposer/home",
              authCode: "",
            },
          ],
        },
      ],
    },
  ],
  loginAccount: "12400000106",
  loginPassword: "emhyY0AxMjM=",
  telPhone: "12400000106",
};

declare namespace API {
  interface UserInfo {
    access_token: string;
    id: string;
    username: string;
    orgId: string;
    orgName: string;
    phone: string;
    nickname: string;
    email: string;
    type: string;
    password: string;
    enabled: boolean;
    accountNonExpired: boolean;
    credentialsNonExpired: boolean;
    accountNonLocked: boolean;
    authorities: {
      authority: string;
    }[];
    roles: {
      role: string;
      roleName: string;
      permissions: {
        name: string;
        permission: string;
        resource: {
          name: string;
          path: string;
          authCode: string;
        }[];
      }[];
    }[];
    loginAccount: string;
    loginPassword: string;
    telPhone: string;
  }

  interface StaffInfo {
    id: string;
    isAccountLocked: boolean;
    nickName: string;
  }
}
